
Foreman - Bug #1889

RFE: Support IDN domains

10/05/2012 12:34 AM - Miroslav Suchy

Status: Rejected   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Please add support for IDN domains to Foreman.

You can leverage my notes, BZ and commits from implementation in Spacewalk:

https://fedorahosted.org/spacewalk/wiki/Features/NonLatinCharacters

Currently when I try to add IDN domain žlutý.cz, it will show something like žlut??.cz, which is definitely not correct.

Related issues:

Related to Foreman - Bug #8045: Domain names miss validations New 10/23/2014

History

#1 - 10/25/2012 05:29 AM - Ohad Levy

- Status changed from New to Need more information

I can't reproduce that and could add any utf8 char, where exactly are you seeing that, which db did you use?

can you attach the logs?

#2 - 06/19/2013 09:15 AM - Benjamin Papillon

Hello,

Can you provide us the informations Ohad Levy requested?

Regards,

#3 - 02/29/2016 03:12 AM - Tomer Brisker

- Related to Bug #8045: Domain names miss validations added

#4 - 02/29/2016 03:13 AM - Tomer Brisker

- Status changed from Need more information to Rejected

No information was provided in over 2 years. IDN support should be included in suggested solution for #8045. Closing.
